Bug 1889385 - Elasticsearch connection leak warning messages from OkHttpClient since updated OCP from 3.11.200 to 3.11.21
Summary: Elasticsearch connection leak warning messages from OkHttpClient since update...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Logging
Version: 3.11.0
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
: 3.11.z
Assignee: Jeff Cantrill
QA Contact: Anping Li
URL:
Whiteboard: logging-exploration
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 14:27 UTC by Gabriel Stein
Modified: 2020-11-16 18:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-12 10:08:21 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github fabric8io openshift-elasticsearch-plugin pull 195 None closed Bug 1850284: Close response after use 2020-11-22 12:38:52 UTC
Github openshift origin-aggregated-logging pull 2006 None closed Bug 1889385: Update openshift-elasticsearch-plugin to close clients 2020-11-22 12:38:54 UTC
Github openshift origin-aggregated-logging pull 2020 None closed [release-3.11] Bug 1889385: Fetch the artifact that is used later 2020-11-22 12:39:15 UTC
Red Hat Product Errata RHBA-2020:4430 None None None 2020-11-12 10:08:55 UTC

Comment 5 Anping Li 2020-11-10 13:08:24 UTC
The fix wasn't in new advisory image. ose-logging-elasticsearch5:v3.11.306.

Comment 6 Anping Li 2020-11-10 13:42:35 UTC
Verified on ose-logging-elasticsearch5:v3.11.317.

Comment 8 errata-xmlrpc 2020-11-12 10:08:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 3.11.317 bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4430


Note You need to log in before you can comment on or make changes to this bug.